#ifndef __IO_INTERFACE_H__
#define __IO_INTERFACE_H__

#include <stdint.h>
#include <mydefs.h>

typedef struct{
  uint8_t a;
  uint8_t b;
  uint8_t enable;
}IO_DATA;

void setDiag(uint16_t code);

uint16_t getDiag(void);

void setError(BOOL_T error);

BOOL_T getError(void);

BOOL_T getReady(void);

void setReady(BOOL_T flag);

SAFEBOOL_T getS_ChannelA(void);

SAFEBOOL_T getS_ChannelB(void);

BOOL_T getEnable(void);

void setS_EquivalentOut(SAFEBOOL_T value);

SAFEBOOL_T getS_EquivalentOut(void);

void printIOIn(void);
void printIOOut(void);


#endif
